package cn.stylefeng.workflow.instance.modular.task.service;

import cn.stylefeng.workflow.instance.api.pojo.task.RuTaskRequest;
import cn.stylefeng.workflow.instance.modular.task.pojo.ApprovalLog;

import java.util.List;

public interface ApprovalLogService {

    List<ApprovalLog> getInstanceApprovalLog(Long instanceId);

    List<ApprovalLog> getInstanceApprovalLogByType(Long instanceId, boolean containCopyLog);

    List<ApprovalLog> getSummaryApprovalLog(RuTaskRequest ruTaskRequest);

    List<ApprovalLog> getSummaryApprovalLogContainCopyLog(RuTaskRequest ruTaskRequest);

    List<ApprovalLog> getSubFlowApprovalLog(Long instanceId);

}
